### Property

# Gdk Device:active-layout-index

since: 4.18

#### Declaration

    property active-layout-index: int [ read ]

#### Description [src]

The index of the keyboard active layout of a `GdkDevice`.

Will be -1 if there is no valid active layout.

This is only relevant for keyboard devices.

Type:`gint`

Available since: 4.18

Default value | 0
Getter method | `gdk_device_get_active_layout_index()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no